Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class SMOTrainer

    java.lang.Object
      org.biojava.stats.svm.SMOTrainer

    public class SMOTrainer

extends Object

Train a support vector machine using the Sequential Minimal Optimization algorithm. See Kernel Methods book.

Author:
  Thomas Down, Matthew Pocock

Constructor Summary
`SMOTrainer()`

Method Summary
`double` | `getC()`
`double` | `getEpsilon()`
`void` | `setC(double C)`
`void` | `setEpsilon(double epsilon)`
`SVMClassifierModel` | `trainModel(SVMTarget target, SVMKernel kernel, TrainingListener l)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SMOTrainer

    public SMOTrainer()

Method Detail

### setC

    public void setC(double C)

### getC

    public double getC()

### setEpsilon

    public void setEpsilon(double epsilon)

### getEpsilon

    public double getEpsilon()

### trainModel

    public SVMClassifierModel trainModel(SVMTarget target,
                                         SVMKernel kernel,
                                         TrainingListener l)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD